const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Jayawijaya',
    'Kabupaten Lanny Jaya',
    'Kabupaten Mamberamo Tengah',
    'Kabupaten Nduga',
    'Kabupaten Pegunungan Bintang',
    'Kabupaten Tolikara',
    'Kabupaten Yahukimo',
    'Kabupaten Yalimo'

    // 8
];

exports.seedPapuaPegununganCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Papua Pegunungan' },
    });

    if (!province) {
        console.error('❌ Province Papua Pegunungan not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Papua Pegunungan City seeded!.');
};